@import "screen";
@import "var";

html,
body {
  margin: 0;
  padding: 0;
  min-height: 100%;
  height: 100%;
  letter-spacing: 1px;
}

h1 {
  margin-top: 0;
}

.icon {
  max-height: 25px;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

a {
  color: black;
  text-decoration: none;
}

.hide {
  display: none;
}

* {
  outline: none;
}


/* width */

::-webkit-scrollbar {
  width: 2px;
  height: 2px;
}


/* Track */

::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 50%;
}


/* Handle */

::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 50%;
}


/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.btn-info {
  padding: 10px 20px;
  border-radius: 30px 0;
  background: black;
  letter-spacing: 0.5px;
  color: $bleu;
  transition: color 0.2s;
  box-shadow: grey 3px 0px 4px;
  border: 1px solid black;
  font: bold 13.3333px Arial;
  cursor: pointer;
  user-select: none;

  &:hover, &:focus {
    color: white;
  }

  &:active {
    box-shadow: none;
  }
}

a.btn-info {
  text-align: center;
  padding: 10px 0;
}

.block-color {
  width: 15px;
  height: 15px;
  border: 1px solid black;
}

.activite-jeu-a-realiser {
  color: $color-activite-jeu-a-realiser;
  font-weight: bold;
}

.block-color.activite-jeu-a-realiser {
  background-color: $color-activite-jeu-a-realiser;
}

.article {
  color: $color-article;
  font-weight: bold;
}

.block-color.article {
  background-color: $color-article;
}

.carte-defi {
  color: $color-carte-defi;
  font-weight: bold;
}

.block-color.carte-defi {
  background-color: $color-carte-defi;
}

.cours-au-format-pdf {
  color: $color-cours-au-format-pdf;
  font-weight: bold;
}

.block-color.cours-au-format-pdf {
  background-color: $color-cours-au-format-pdf;
}

.exercice-atelier {
  color: $color-exercice-atelier;
  font-weight: bold;
}

.block-color.exercice-atelier {
  background-color: $color-exercice-atelier;
}

.fiche-de-lecture {
  color: $color-fiche-de-lecture;
  font-weight: bold;
}

.block-color.fiche-de-lecture {
  background-color: $color-fiche-de-lecture;
}

.jeu-en-ligne {
  color: $color-jeu-en-ligne;
  font-weight: bold;
}

.block-color.jeu-en-ligne {
  background-color: $color-jeu-en-ligne;
}

.video {
  color: $color-video;
  font-weight: bold;
}

.block-color.video {
  background-color: $color-video;
}

.error {
  color: red;
  font-size: 0.6em;
  margin-top: 5px;
}

.success {
  color: green;
}

.dropdown {
  position: relative;
  -webkit-user-select: none;
  user-select: none;
  cursor: pointer;

  &::before {
    content: ">";
    position: absolute;
    right: 10px;
    top: 1px;
    font-weight: bolder;
    transform: rotate(0) scaleX(0.5) scaleY(1);
    font-size: 25px;
    transition: all 0.5s ease-in-out;
  }

  &.active::before {
    transform: rotate(90deg) scaleX(0.5) scaleY(1);
  }
}

.center {
  margin: auto;
}

.ms-drop ul {
  width: 100%;

  label {
    text-align: left;
  }
}

.message-page {
  display: flex;
  justify-content: space-around;
  /*height: 100%;*/
  padding-top: 10px;
  margin: auto;
  align-items: center;
  text-align: center;


  @media (max-width: $medium) {
    flex-direction: column;
  }

  div {
    display: flex;
    flex-direction: column;

    * {
      margin-bottom: 15px;
    }

    .btn-info {
      width: 250px;
    }

    img {
      width: 300px;
      margin: 0 auto 50px auto;
    }
  }
}

#modal-non-fait {
  background: #000000ab;
  position: fixed;
  height: 100%;
  width: 100%;
  display: flex;
  z-index: 11;

  #content-modal-non-fait {
    position: relative;
    width: 35%;
    border: 4px double black;
    background: white;
    margin: auto;
    padding: 25px 50px;
    text-align: center;
    border-radius: 50px 0;
    z-index: 999;

    .close {
      position: absolute;
      right: 10px;
      top: 5px;
      cursor: pointer;
      font-family: cursive;
      user-select: none;
    }
  }
}

.en-dev {
  position: relative;

  &::after {
    content: "Fonctionnalité en développement";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: #000000b3;
    color: white;
    text-align: center;
    display: flex;
    align-items: center;
    font-weight: bold;
    justify-content: center;
  }
}

button {
  cursor: pointer;
}

.vertical-line {
  border-right: 1px solid black;
}

.div-checkbox {
  display: flex;
  align-items: center;
}

.menu-burger {
  width: 20px;
  cursor: pointer;

  .bar1, .bar2, .bar3 {
    width: 25px;
    height: 4px;
    background-color: #333;
    margin: 4px 0;
    transition: 0.4s;
  }

  /* Rotate first bar */
  &.change {
    .bar1 {
      -webkit-transform: rotate(-45deg) translate(-9px, 6px);
      transform: rotate(-45deg) translate(-4px, 6px);
    }

    /* Fade out the second bar */
    .bar2 {
      opacity: 0;
    }

    /* Rotate last bar */
    .bar3 {
      -webkit-transform: rotate(45deg) translate(-8px, -8px);
      transform: rotate(45deg) translate(-5px, -8px);
    }
  }
}

.mt-15{
  margin-top: 15px;
}

.img {
  height: 230px;
  width: 220px;
}

.ms-parent {
  width: auto !important;

  .ms-choice {
    border-radius: 0px;
    border-color: black;
  }

  .ms-drop {
    li {
      margin-bottom: 5px !important;

      label {
        display: flex !important;
        align-items: center !important;
      }
    }
  }
}

.d-flex {
  display: flex;
}

.column {
  flex-direction: column;
}

.dropzone {
  width: 100%;
  min-height: 300px;
  border-radius: 2px;
  border: 4px dashed $vertPlusFonce;
  position: relative;
  display: flex;
  justify-content: space-around;
  align-items: flex-end;


  input {
    width: 100%;
    height: 100%!important;
    opacity: 0;
    padding: 0;
  }

  &::after {
    content: "Veuillez déposer votre fichier ici";
    position: absolute;
    top: 25%;
    transform: translate(-50%, -50%);
    color: gray;
    font-size: 25px;
    left: 50%;
  }

  .file-dropzone{
    height: 50%;
    margin-bottom: 15px;
    width: 20%;
    padding: 15px;
    background: lightgrey;
    border-radius: 2px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;

    span{
      white-space: nowrap;
      word-break: break-word;
      overflow: hidden;
      text-overflow: ellipsis;
      max-width: 100%;
    }
  }
}

